Menu

## SceneAttachment
in package
Uses UserAssignable

SceneAttachment.php : 25

A SceneAttachment is a registered Attachment class to keep track of (a) generally all available attachments, and (b) which scene contains which attachment.

##### Tags

Entity
Table

  (name="scene_attachments")

### Table of Contents

$class : string
$title : string
$userAssignable : bool
$scenes : Collection|null
__construct() : mixed
  SceneAttachment constructor.
getClass() : string
getScenes() : Collection
getTitle() : string
isUserAssignable() : bool
setUserAssignable() : mixed
  Changes whether the template should be able to get manually assigned to a template or not.

### Properties

#### $class

SceneAttachment.php : 33
`protected string $class`

##### Tags

Id
Column

  (type="string", length=36, unique=True, name="class", options={"fixed"=true})

#### $title

SceneAttachment.php : 36
`protected string $title`

##### Tags

Column

  (type="string", length=255)

#### $userAssignable

UserAssignable.php : 11
`protected bool $userAssignable = true`

##### Tags

Column

  (type="boolean", options={"default"=true})

#### $scenes

SceneAttachment.php : 39
`private Collection|null $scenes`

##### Tags

ManyToMany

  (targetEntity="Scene", mappedBy="attachments")

### Methods

#### __construct()

SceneAttachment.php : 48

SceneAttachment constructor.

`public __construct(string $class, string $title[, bool $userAssignable = true ]) : mixed`

##### Parameters

$class : string

  A class inheriting from AttachmentInterface.

$title : string
$userAssignable : bool = true

##### Tags

throws
  ArgumentException

  if $class does not implement AttachmentInterface

##### Return values

mixed —

#### getClass()

SceneAttachment.php : 63
`public getClass() : string`

##### Return values

string —

#### getScenes()

SceneAttachment.php : 79
`public getScenes() : Collection`

##### Return values

Collection —

#### getTitle()

SceneAttachment.php : 71
`public getTitle() : string`

##### Return values

string —

#### isUserAssignable()

UserAssignable.php : 25
`public isUserAssignable() : bool`

##### Return values

bool —

#### setUserAssignable()

UserAssignable.php : 17

Changes whether the template should be able to get manually assigned to a template or not.

`public setUserAssignable([bool $flag = true ]) : mixed`

##### Parameters

$flag : bool = true

##### Return values

mixed —

## Search results